---
title: "Get Baidu Organic SERP Advanced Results by id"
url: "https://docs.dataforseo.com/v3/serp/baidu/organic/task_get/advanced/"
date: "2026-06-06"
---

## Get Baidu Organic SERP Advanced Results by id

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) GET  https://api.dataforseo.com/v3/serp/baidu/organic/task\_get/advanced/$id     

      

Pricing

  Your account will be charged only for posting a task. You can get the results of the task within the next 30 days for free.  
The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/baidu-organic-serp-api "Pricing") page.

 

 **Description of the fields for sending a request:**

| Field name | Type | Description |
|---|---|---|
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format**   you will be able to use it within **30 days** to request the results of the task at any time |

  
As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks.

You can also get all available SERP features and possible extra elements by making a request to the following [Sandbox](https://docs.dataforseo.com/v3/appendix/sandbox.md) URL:  
`https://sandbox.dataforseo.com/v3/serp/baidu/organic/task_get/advanced/00000000-0000-0000-0000-000000000000`  
The response will include all available items in the Baidu Organic SERP Advanced endpoint with the fields containing dummy data.  
You won’t be charged for using [Sandbox](https://docs.dataforseo.com/v3/appendix/sandbox.md) endpoints.

**Description of the fields in the results array:**

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md)   **Note:** we strongly recommend designing a necessary system for handling related exceptional or error conditions |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total tasks cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`** array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format** |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `status_message` | string | *informational message of the task*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the same parameters that you specified in the POST request* |
| **`result`** | array | *array of results* |
| `keyword` | string | *keyword received in a POST array* **the keyword is returned with decoded %## (plus symbol ‘+’ will be decoded to a space character)** |
| `type` | string | *search engine type in a POST array* |
| `se_domain` | string | *search engine domain in a POST array* |
| `location_code` | integer | *location code in a POST array* |
| `language_code` | string | *language code in a POST array* |
| `check_url` | string | *direct URL to search engine results*   you can use it to make sure that we provided accurate results |
| `datetime` | string | *date and time when the result was received*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2019-11-15 12:57:46 +00:00` |
| `spell` | object | *autocorrection of the search engine*   if the search engine provided results for a keyword that was corrected, we will specify the keyword corrected by the search engine and the type of autocorrection |
| `keyword` | string | *keyword obtained as a result of search engine autocorrection*   the results will be provided for the corrected keyword |
| `type` | string | *type of autocorrection*   possible values:   `did_you_mean`, `showing_results_for`, `no_results_found_for`, `including_results_for` |
| `refinement_chips` | object | *search refinement chips*   equals `null` |
| `item_types` | array | *types of search results in SERP*   contains types of search results (`items`) found in SERP.   possible item types:   `images`, `local_pack`, `map`, `organic`, `paid`, `related_searches`, `video`, `stocks_box`, `dictionary`, `shopping` |
| `se_results_count` | integer | *total number of results in SERP* |
| `pages_count` | integer | *total pages retrieved*   total number of retrieved SERPs in the result |
| `items_count` | integer | *the number of results returned in the **`items`** array* |
| **`items`** | array | *elements of search results found in SERP* |
| **‘organic’ element in SERP** |  |  |
| `type` | string | *type of element = **‘organic’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `domain` | string | *domain in SERP* |
| `title` | string | *title of the result in SERP* |
| `url` | string | *relevant URL in SERP* |
| `cache_url` | string | *cached version of the page* |
| `related_search_url` | string | *URL to a similar search*   URL to a new search for the same keyword(s) on related sites |
| `breadcrumb` | string | *breadcrumb in SERP* |
| `website_name` | string | *name of the relevant website in SERP* |
| `is_image` | boolean | *indicates whether the element contains an `image`* |
| `is_video` | boolean | *indicates whether the element contains a `video`* |
| `is_featured_snippet` | boolean | *indicates whether the element is a `featured_snippet`* |
| `is_malicious` | boolean | *indicates whether the element is marked as malicious* |
| `is_web_story` | boolean | *indicates whether the element is marked as web story* |
| `description` | string | *description of the results element in SERP* |
| `pre_snippet` | string | *includes additional information appended before the result description in SERP* |
| `extended_snippet` | string | *includes additional information appended after the result description in SERP* |
| `images` | array | *images of the element* |
| `type` | string | *type of element = ‘**images\_element**‘* |
| `alt` | string | *alt tag of the image* |
| `url` | string | *relevant URL* |
| `image_url` | string | *URL of the image*   the URL leading to the image on the original resource or DataForSEO storage (in case the original source is not available) |
| `amp_version` | boolean | *Accelerated Mobile Pages*   indicates whether an item has the Accelerated Mobile Page (AMP) version |
| `rating` | object | *the item’s rating*    the popularity rate based on reviews and displayed in SERP |
| `rating_type` | string | *the type of rating*   here you can find the following elements: `Max5`, `Percents`, `CustomMax` |
| `value` | integer | *the value of the rating* |
| `votes_count` | integer | *the amount of feedback* |
| `rating_max` | integer | *the maximum value for a `rating_type`* |
| `price` | object | *pricing details*   contains the pricing details of the product or service featured in the result |
| `current` | float | *current price*   indicates the current price of the product or service featured in the result |
| `regular` | float | *regular price*   indicates the regular price of the product or service with no discounts applied |
| `max_value` | float | *the maximum price*   the maximum price of the product or service as indicated in the result |
| `currency` | string | *currency of the listed price*   ISO code of the currency applied to the price |
| `is_price_range` | boolean | *price is provided as a range*   indicates whether a price is provided in a range |
| `displayed_price` | string | *price string in the result*   raw price string as provided in the result |
| `highlighted` | array | *words highlighted in bold within the results `description`* |
| `links` | array | *sitelinks*   the links shown below some of search results   if there are none, equals `null` |
| `type` | string | *type of element = ‘**link\_element**‘* |
| `title` | string | *title of the result in SERP* |
| `description` | string | *description of the results element in SERP* |
| `url` | string | *sitelink URL* |
| `faq` | object | *frequently asked questions*   questions and answers extension shown below some of search results   if there are none, equals `null` |
| `type` | string | *type of element = ‘**faq\_box**‘* |
| `items` | array | *items featured in the faq\_box* |
| `type` | string | *type of element = ‘**faq\_box\_element**‘* |
| `title` | string | *question related to the result* |
| `description` | string | *answer provided in the drop-down block* |
| `links` | array | *links featured in the faq\_box\_element* |
| `type` | string | *type of element = ‘**link\_element**‘* |
| `title` | string | *link anchor text* |
| `url` | string | *link URL* |
| `extended_people_also_search` | array | *extension of the organic element*   extension of the organic result containing related search queries   **Note:** extension appears in SERP upon clicking on the result and then bouncing back to search results |
| `about_this_result` | object | *contains information about this result*   will always be `null` for Baidu |
| `type` | string | *type of element = ‘**about\_this\_result\_element**‘* |
| `url` | string | *result’s URL* |
| `source` | string | *source of additional information about the result* |
| `source_info` | string | *additional information about the result*   description of the website from Wikipedia or another additional context |
| `source_url` | string | *URL to full information from the `source`* |
| `language` | string | *the language of the result* |
| `location` | string | *location for which the result is relevant* |
| `search_terms` | array | *matching search terms that appear in the result* |
| `related_terms` | array | *related search terms that appear in the result* |
| `related_result` | array | *related result from the same domain*   related result from the same domain appears as a part of the main result snippet |
| `type` | string | *type of element = ‘**related\_result**‘* |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `domain` | string | *relevant domain* |
| `title` | string | *title of the result in SERP* |
| `url` | string | *relevant URL in SERP* |
| `cache_url` | string | *cached version of the page* |
| `related_search_url` | string | *URL to a similar search*   URL to a new search for the same keyword(s) [on related sites](https://support.google.com/websearch/answer/2466433?hl=en#:~:text=Search%20for%20related%20sites) |
| `breadcrumb` | string | *breadcrumb in SERP* |
| `is_image` | boolean | *indicates whether the element contains an `image`* |
| `is_video` | boolean | *indicates whether the element contains a `video`* |
| `description` | string | *description of the results element in SERP* |
| `pre_snippet` | string | *includes additional information appended before the result description in SERP* |
| `extended_snippet` | string | *includes additional information appended after the result description in SERP* |
| `images` | array | *images of the element* |
| `type` | string | *type of element = ‘**images\_element**‘* |
| `alt` | string | *alt tag of the image* |
| `url` | string | *relevant URL* |
| `image_url` | string | *URL of the image*   the URL leading to the image on the original resource or DataForSEO storage (in case the original source is not available) |
| `amp_version` | boolean | *Accelerated Mobile Pages*   indicates whether an item has the Accelerated Mobile Page (AMP) version |
| `rating` | object | *the item’s rating*    the popularity rate based on reviews and displayed in SERP |
| `rating_type` | string | *the type of rating*   here you can find the following elements: `Max5`, `Percents`, `CustomMax` |
| `value` | float | *the value of the rating* |
| `votes_count` | integer | *the amount of feedback* |
| `rating_max` | integer | *the maximum value for a `rating_type`* |
| `price` | object | *pricing details*   contains the pricing details of the product or service featured in the result |
| `current` | float | *current price*   indicates the current price of the product or service featured in the result |
| `regular` | float | *regular price*   indicates the regular price of the product or service with no discounts applied |
| `max_value` | float | *the maximum price*   the maximum price of the product or service as indicated in the result |
| `currency` | string | *currency of the listed price*   ISO code of the currency applied to the price |
| `is_price_range` | boolean | *price is provided as a range*   indicates whether a price is provided in a range |
| `displayed_price` | string | *price string in the result*   raw price string as provided in the result |
| `highlighted` | array | *words highlighted in bold within the results `description`* |
| `about_this_result` | object | *contains information about this result*   will always be `null` for Baidu |
| `type` | string | *type of element = ‘**about\_this\_result\_element**‘* |
| `url` | string | *result’s URL* |
| `source` | string | *source of additional information about the result* |
| `source_info` | string | *additional information about the result*   description of the website from Wikipedia or another additional context |
| `source_url` | string | *URL to full information from the `source`* |
| `language` | string | *the language of the result* |
| `location` | string | *location for which the result is relevant* |
| `search_terms` | array | *matching search terms that appear in the result* |
| `related_terms` | array | *related search terms that appear in the result* |
| `timestamp` | string | *date and time when the result was published*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2019-11-15 12:57:46 +00:00` |
| `timestamp` | string | *date and time when the result was published*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2019-11-15 12:57:46 +00:00` |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Baidu search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **‘paid’ element in SERP** |  |  |
| `type` | string | *type of element = **‘paid’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `domain` | string | *domain in SERP of the Ad element* |
| `description` | string | *description of the results element in SERP* |
| `title` | string | *title of the result in SERP* |
| `url` | string | *relevant URL of the Ad element in SERP* |
| `breadcrumb` | string | *breadcrumb of the Ad element in SERP* |
| `highlighted` | array | *words highlighted in bold within the results `description`* |
| `extra` | object | *additional information about the result* |
| `ad_aclk` | string | *the identifier of the ad* |
| `description` | string | *description of the results element in SERP* |
| `description_rows` | array | *extended description*   if there is none, equals `null` |
| `links` | array | *sitelinks*   the links shown below some of search results   if there are none, equals `null` |
| `type` | string | *type of element = ‘**link\_element**‘* |
| `title` | string | *title of the link element* |
| `description` | string | *description of the results element in SERP* |
| `url` | string | *URL link* |
| `ad_aclk` | string | *the identifier of the ad* |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Baidu search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **‘related\_searches’ element in SERP** |  |  |
| `type` | string | *type of element = **‘related\_searches’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `items` | array | *additional items present in the element*   if there are none, equals `null` |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Baidu search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **‘local\_pack’ element in SERP** |  |  |
| `type` | string | *type of element = **‘local\_pack’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `title` | string | *title of the result in SERP* |
| `description` | string | *description of the results element in SERP* |
| `domain` | string | *domain in SERP* |
| `phone` | string | *phone number* |
| `url` | string | *relevant URL* |
| `is_paid` | boolean | *indicates whether the element is an ad* |
| `rating` | object | *the item’s rating*    the popularity rate based on reviews and displayed in SERP |
| `rating_type` | string | *the type of rating*   here you can find the following elements: `Max5`, `Percents`, `CustomMax` |
| `value` | integer | *the value of the rating* |
| `votes_count` | integer | *the amount of feedback* |
| `rating_max` | integer | *the maximum value for a `rating_type`* |
| `cid` | string | *client id*   unique id of a local establishment |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Baidu search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **‘map’ element in SERP** |  |  |
| `type` | string | *type of element = **‘map’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `title` | string | *title of the result in SERP* |
| `url` | string | *URL* |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Baidu search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **‘video’ element in SERP** |  |  |
| `type` | string | *type of element = **‘video’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `items` | array | *additional items present in the element*   if there are none, equals `null` |
| `type` | string | *type of element = ‘**video\_element**‘* |
| `source` | string | *source of the element*   indicates the source of the video |
| `title` | string | *title of the result in SERP* |
| `timestamp` | string | *date and time when the result was published*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2019-11-15 12:57:46 +00:00` |
| `url` | string | *URL* |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Baidu search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **‘images’ element in SERP** |  |  |
| `type` | string | *type of element = **‘images’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `title` | string | *title of the result in SERP* |
| `url` | string | *relevant URL* |
| `items` | array | *additional items present in the element*   if there are none, equals `null` |
| `type` | string | *type of element = ‘**images\_element**‘* |
| `alt` | string | *alt tag of the image* |
| `url` | string | *original image URL*   the URL leading to the image on the original resource |
| `image_url` | string | *image preview URL*   the URL generated by Baidu and leading to the preview of the original image in SERP |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Baidu search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **‘stocks\_box’ element in SERP’** |  |  |
| `type` | string | *type of element = **‘‘stocks\_box’’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `title` | string | *title of the result in SERP* |
| `source` | string | *source of the element*   indicates the source of information provided in the `stocks_box` element |
| `snippet` | string | *snippet of the element* |
| `price` | string | *price quote featured on Baidu at the time when our API pulled the results* |
| `url` | string | *relevant URL* |
| `domain` | string | *domain in SERP* |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Baidu search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| `table` | object | *results table*   if there are none, equals `null` |
| `table_header` | array | *column names*   if there are none, equals `null` |
| `table_content` | array | *the content of the table*   additional information about the stock prices displayed below the graph   if there is none, equals `null` |
| `graph` | object | *contains data provided in the graph of the element* |
| `items` | array | *data provided for the date and time when our API pulled the results* |
| `type` | string | *type of element = **‘graph\_element’***   corresponds to one point on the graph that indicates the stock price for a specific date and time |
| `date` | string | *date and time*   in the `yyyy-mm-ddThh:mm:ss` [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format   indicates date and time for which the stock price in the `value` field is provided |
| `value` | integer | *stock price*   stock price for the date and time provided in the `date` field |
| `previous_items` | array | *previous close data*   contains stock price data based on the preceding time period |
| `type` | string | *type of element = **‘graph\_element’***   corresponds to one point on the graph that indicates the stock price for a specific date and time |
| `date` | string | *date and time*   in the `yyyy-mm-ddThh:mm:ss` [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format   indicates the date and time for which the `value` field provides previous close price   for example, `"date": "2020-10-28T15:45:00"` and `"value": 11080.2857` mean the stock was traded at 11080.2857 on Oct. 27, 2020 at 15:45:00 |
| `value` | integer | *previous close price*   closing price on the preceding time period |
| **‘dictionary’ element in SERP** |  |  |
| `type` | string | *type of element = **‘dictionary’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `title` | string | *title of the result in SERP* |
| `url` | string | *relevant URL in SERP* |
| `domain` | string | *domain in SERP* |
| `breadcrumb` | string | *breadcrumb in SERP* |
| `keyword` | string | *keyword highlighted in the result* |
| `snippet` | string | *snippet of the element* |
| `text` | boolean | *description of the results element in SERP* |
| `links` | array | *sitelinks*   the links shown below some of search results   if there are none, equals `null` |
| `type` | string | *type of element = ‘**link\_element**‘* |
| `title` | string | *title of the result in SERP* |
| `description` | string | *description of the results element in SERP* |
| `url` | string | *sitelink URL* |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Baidu search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **‘shopping’ element in SERP** |  |  |
| `type` | string | *type of element = **‘shopping’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `title` | string | *title of the result in SERP* |
| `items` | array | *additional items present in the element*   if there are none, equals `null` |
| `type` | string | *type of element = ‘**shopping\_element**‘* |
| `title` | string | *title of the result in SERP* |
| `price` | object | *price of the shopping element* |
| `current` | float | *current price*   indicates the current price of the shopping element |
| `regular` | float | *regular price*   indicates the regular price of the shopping element |
| `max_value` | float | *the maximum price*   indicates the maximum price of the shopping element |
| `currency` | string | *currency of the listed price*   ISO code of the currency applied to the price |
| `is_price_range` | boolean | *price is provided as a range*   indicates whether a price is provided in a range |
| `displayed_price` | string | *price string in the result*   raw price string as provided in the result |
| `source` | string | *source of the element*   indicates the source of information included in the `shopping_element` |
| `description` | string | *the description of the results element in SERP* |
| `marketplace` | string | *merchant account provider*   commerce site that hosts products or websites of individual sellers under the same merchant account   example:   `by Baidu` |
| `marketplace_url` | string | *relevant marketplace URL*   URL of the page on the marketplace website where the product is hosted |
| `url` | string | *URL* |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   equals `null` if `calculate_rectangles` in the POST request is not set to `true` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |



 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
id="02261816-2027-0066-0000-c27d02864073" 
curl --location --request GET "https://api.dataforseo.com/v3/serp/baidu/organic/task_get/advanced/${id}" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw ""
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
	// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
	$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
	exit();
}
try {
	$result = array();
	// #1 - using this method you can get a list of completed tasks
	// GET /v3/serp/baidu/organic/tasks_ready
	// in addition to 'baidu' and 'organic' you can also set other search engine and type parameters
	// the full list of possible parameters is available in documentation
	$tasks_ready = $client->get('/v3/serp/baidu/organic/tasks_ready');
	// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
	if (isset($tasks_ready['status_code']) AND $tasks_ready['status_code'] === 20000) {
		foreach ($tasks_ready['tasks'] as $task) {
			if (isset($task['result'])) {
				foreach ($task['result'] as $task_ready) {
					// #2 - using this method you can get results of each completed task
					// GET /v3/serp/baidu/organic/task_get/advanced/$id
					if (isset($task_ready['endpoint_advanced'])) {
						$result[] = $client->get($task_ready['endpoint_advanced']);
					}
					// #3 - another way to get the task results by id
					// GET /v3/serp/baidu/organic/task_get/advanced/$id
					/*
					if (isset($task_ready['id'])) {
						$result[] = $client->get('/v3/serp/baidu/organic/task_get/advanced/' . $task_ready['id']);
					}
					*/
				}
			}
		}
	}
	print_r($result);
	// do something with result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
```





```js
const task_id = '02231256-2604-0066-2000-57133b8fc54e';

const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/serp/baidu/organic/task_get/advanced/' + task_id,
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
```





```python
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# 1 - using this method you can get a list of completed tasks
# GET /v3/serp/baidu/organic/tasks_ready
# in addition to 'baidu' and 'organic' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.get("/v3/serp/baidu/organic/tasks_ready")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response['status_code'] == 20000:
    results = []
    for task in response['tasks']:
        if (task['result'] and (len(task['result']) > 0)):
            for resultTaskInfo in task['result']:
                # 2 - using this method you can get results of each completed task
                # GET /v3/serp/baidu/organic/advanced/$id
                if(resultTaskInfo['endpoint_advanced']):
                    results.append(client.get(resultTaskInfo['endpoint_advanced']))                
                '''
                # 3 - another way to get the task results by id
                # GET /v3/serp/baidu/organic/task_get/advanced/$id                
                if(resultTaskInfo['id']):
                    results.append(client.get("/v3/serp/baidu/organic/task_get/advanced/" + resultTaskInfo['id']))
                '''
    print(results)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_task_get()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // #1 - using this method you can get a list of completed tasks
            // GET /v3/serp/baidu/organic/tasks_ready
            // in addition to 'baidu' and 'organic' you can also set other search engine and type parameters
            // the full list of possible parameters is available in documentation
            var response = await httpClient.GetAsync("/v3/serp/baidu/organic/tasks_ready");
            var tasksInfo = JsonConvert.DeserializeObject<dynamic>(await response.Content.ReadAsStringAsync());
            var tasksResponses = new List<object>();
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (tasksInfo.status_code == 20000)
            {
                if (tasksInfo.tasks != null)
                {
                    foreach (var tasks in tasksInfo.tasks)
                    {
                        if (tasks.result != null)
                        {
                            foreach (var task in tasks.result)
                            {
                                if (task.endpoint_advanced != null)
                                {
                                    // #2 - using this method you can get results of each completed task
                                    // GET /v3/serp/baidu/organic/task_get/advanced/$id
                                    var taskGetResponse = await httpClient.GetAsync((string)task.endpoint_advanced);
                                    var taskResultObj = JsonConvert.DeserializeObject<dynamic>(await taskGetResponse.Content.ReadAsStringAsync());
                                    if (taskResultObj.tasks != null)
                                    {
                                        var fst = taskResultObj.tasks.First;
                                        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                                        if (fst.status_code >= 40000 || fst.result == null)
                                            Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                                        else
                                            tasksResponses.Add(fst.result);
                                    }
                                    // #3 - another way to get the task results by id
                                    // GET /v3/serp/baidu/organic/task_get/advanced/$id
                                    /*
                                    var tasksGetResponse = await httpClient.GetAsync("/v3/serp/baidu/organic/task_get/advanced/" + (string)task.id);
                                    var tasksResultObj = JsonConvert.DeserializeObject<dynamic>(await tasksGetResponse.Content.ReadAsStringAsync());
                                    if (tasksResultObj.tasks != null)
                                    {
                                        var fst = taskResultObj.tasks.First;
                                        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                                        if (fst.status_code >= 40000 || fst.result == null)
                                            Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                                        else
                                            tasksResponses.Add(fst.result);
                                    }
                                    */
                                }
                            }
                        }
                    }
                }
                if (tasksResponses.Count > 0)
                    // do something with result
                    Console.WriteLine(String.Join(Environment.NewLine, tasksResponses));
                else
                    Console.WriteLine("No completed tasks");
            }
            else
                Console.WriteLine($"error. Code: {tasksInfo.status_code} Message: {tasksInfo.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
  "version": "0.1.20210129",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.1110 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "02261816-2027-0066-0000-c27d02864073",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.0609 sec.",
      "cost": 0,
      "result_count": 1,
      "path": [
        "v3",
        "serp",
        "baidu",
        "organic",
        "task_get",
        "advanced",
        "02261816-2027-0066-0000-c27d02864073"
      ],
      "data": {
        "api": "serp",
        "function": "task_get",
        "se": "baidu",
        "se_type": "organic",
        "language_code": "zh_CN",
        "location_code": 2156,
        "keyword": "我附近的餐厅",
        "priority": 2,
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "keyword": "我附近的餐厅",
          "type": "organic",
          "se_domain": "baidu.com",
          "location_code": 2156,
          "language_code": "zh_CN",
          "check_url": "http://www.baidu.com/s?wd=%E6%88%91%E9%99%84%E8%BF%91%E7%9A%84%E9%A4%90%E5%8E%85&rn=50&pn=0&ie=utf-8",
          "datetime": "2021-02-26 16:26:15 +00:00",
          "spell": null,
          "refinement_chips": null,
          "item_types": [
            "local_pack",
            "map",
            "organic",
            "paid",
            "related_searches",
            "video",
            "images",
            "stocks_box",
            "shopping"
          ],
          "se_results_count": 100000000,
          "pages_count": 1,
          "items_count": 104,
          "items": [
            {
              "type": "map",
              "rank_group": 1,
              "rank_absolute": 1,
              "page": 1,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[1]/div[3]/div[1]/div[3]/div[1]",
              "title": "香港特别行政区地图_百度地图",
              "url": "http://www.baidu.com/link?url=ZZ7nek3xVIa5HWn4gNzdoRGkLNqGsX5Syb42it5YCMPTQV_cVHIJsK7BxQJojvYBqP5tpHen59nHqM9PdmR3Fd3TL92etbtdj8iJjc61Hs4TQpg8iG4NhkME6WlBwVzWEUjDH9bj-kfVvvujBqOcXe-ZyweDKp38rAwrKrlUveYoBgn-U-lplag5cuyGkcQNnj8FjZf82BaQhDqcK__9c_",
              "rectangle": null
            },
            {
              "type": "local_pack",
              "rank_group": 1,
              "rank_absolute": 2,
              "page": 1,
              "position": "left",
              "xpath": null,
              "title": "A 鲁西南老牌坊特色 餐厅 (省体店)",
              "description": "￥81起n192条评论 地址：                山东省济南市市中区民生大街68号",
              "domain": "www.baidu.com",
              "phone": "0531-82070315",
              "url": "http://www.baidu.com/link?url=8dF4xGRj-2pSCCMGHNyBlfIVHw9ovX-asHcA-OwRb0isspC7CyLZwtGtDKUIrqS1bLwH7L4wGA9KxfdXDFQofMM9hdAr17TaYQmEjy5xVt6xbjHM9yN2IyP4asPDRRrpm1RFlOXaoljz3CpgEVo0WLFbAJYzC42HGY7DitYtFOuvI-h8r040xB3dHUVdYWuMlRINctMd0G0GSqZD2EmD8OA1ie-YmQuKpmkDKgYEfcxqqaR3wi0l6uNzzi1iLwCu",
              "is_paid": false,
              "rating": null,
              "cid": null,
              "rectangle": null
            },
            {
              "type": "shopping",
              "rank_group": 1,
              "rank_absolute": 13,
              "page": 1,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[1]/div[4]/div[1]/div[3]/div[13]",
              "title": "买洗衣机 - 商品 - 全网热卖",
              "items": [
                {
                  "type": "shopping_element",
                  "title": "【自营配送入户】小天鹅波轮洗衣机...",
                  "price": {
                    "current": 889,
                    "regular": null,
                    "max_value": null,
                    "currency": "CNY",
                    "is_price_range": false,
                    "displayed_price": "￥889"
                  },
                  "source": "京东",
                  "description": null,
                  "marketplace": null,
                  "marketplace_url": null,
                  "url": "http://www.baidu.com/link?url=yE3YkIuRF8ed3Ed38HU5qjyiAhN3D1wkoXNygrc5H4sTLFjrlow2ig4YuFVq9Cmpnp7tp60WxuelPrHwxtipkia2htgbmnrQdd8vTKFf7ol2AnRF-A2G3yz26y1A3kCjeDJh4Tqk-WIVrXXuNax23QBLdnCbtJ_PBqegLTwFckFj-zTh6Y559m5xPk6GPrR5Ri1yPSCm55BWWa9_zo3nontE_XbGwY07osEzM7y5yY5XUg-b_12IB2pQAe3mqgTDfP1d4jUuPDm_z3751sNYWi5eLptndOijwYW8afK7OL3PHmATLt7bKU8MILu8RR3m1apCiOB73byvMsdjEfyEwv5Uisu-FweWVM2O4uLqywt3F7lkqum3i8qhshv8Q384EzqsxfFyXkNjWVA7h-ztGvDfKdi7ggBCaaakpjAldF5L6f-WbZahcumFMiKCOs_X1Y5y5jDXew4uRJOXr5M4ow-KBfUBZolZHH7JTD4ROvzCW-btP1Wo8mRxZlruggRj"
                }
              ],
              "rectangle": null
            },
            {
              "type": "organic",
              "rank_group": 1,
              "rank_absolute": 3,
              "page": 1,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[1]/div[3]/div[1]/div[3]/div[2]",
              "domain": "www.baidu.com",
              "title": "离我最近的24小时餐饮 - 百度知道",
              "url": "http://www.baidu.com/link?url=UTxRWr9JWaHHxwv3aUpWQupKoLJ34LSRqd7ojs96S21mZhcGHzS2o1B8-jfgmSIRv78er06Q6SN49rO5G6Fds-9VysuWJxTcv2w9S-oeTU3",
              "cache_url": "http://cache.baiducontent.com/c?m=k8D_sPXid14sCxjoyAYJ_-4HVl48T0JV-xV-Gh-Z4jlU345oLxZPvpsKYH1-0O2sP6-18x_P553RUYsNXqp64iE9LwU5YoTISNleNCt6m46dQ7nIeppvsBUtJAD0tIOc6zmm1vRj4s2LckJWzQ1MwO-YSPgM1t0FAeanEGgWOp-GuqXlhzoNnGSuxd3X4Xdm&p=882a9645dd955de00da2c7710f00cf&newp=9c769a47978259b304bd9b7d0d1d8b23161cda386a848d0a3b8fd12594664f171c0ba7ec67634b598fca786c00af4c58e8f33575300727b59acf8e40d6afd4456edf653b2740d00053cb05f3&s=cfcd208495d565ef&user=baidu&fm=sc&query=%CE%D2%B8%BD%BD%FC%B5%C4%B2%CD%CC%FC&qid=ab930d34001180f3&p1=2",
              "breadcrumb": "百度知道",
              "is_image": true,
              "is_video": false,
              "is_featured_snippet": false,
              "is_malicious": false,
              "is_web_story": false,
              "description": "最佳答案: 找一个离我近 的饭店 营业时间凌晨两点前.new-pmd .c-abstract br{display: none;}n更多关于我附近的餐厅的问题>>",
              "pre_snippet": null,
              "extended_snippet": null,
              "amp_version": false,
              "rating": null,
              "highlighted": [
                "我最近的",
                "餐饮",
                "的饭店"
              ],
              "links": null,
              "faq": null,
              "extended_people_also_search": null,
              "timestamp": null,
              "rectangle": null
            },
            {
              "type": "organic",
              "rank_group": 2,
              "rank_absolute": 4,
              "page": 1,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[1]/div[3]/div[1]/div[3]/div[3]",
              "domain": "www.baidu.com",
              "title": "微信如何使用附近的餐厅功能 - 百度经验",
              "url": "http://www.baidu.com/link?url=wYNj8hAfSSxbRUsPydAa7G5pYgKDRoAuKLqZUGcdgD6uspFSWpnbcPApwng5VAqp0vtT-7akAsdqUs3JvnfccOV7bpNczJy4XWosMAkyylu",
              "cache_url": "http://cache.baiducontent.com/c?m=Mw6_qVqyzglBFrPnX-nlan4zRKeGtnj7WEr0moJHyskr3tqVt-vaxFGgcyZ_wlkLw08NRoNh4J_CP82l2k_Gg-LlJcuNTUJ1qgrUhbQDB4TgMOZjZ3kUzsWUB5ZI-n9iQTZjxb00k1mWdChVhmeUAppgnwPx-2v_uMYmKMmIEEoNVky29XebktmV69ysej4i&p=cb62c54ad5c242fa2abe9b7c4e42c4&newp=827edc0586cc42ae5bb7c7710f488d231610db2151d7d7156b82c825d7331b001c3bbfb423291104d6c17e6402a84e5beef430763d0923a3dda5c91d9fb4c57479d2&s=cfcd208495d565ef&user=baidu&fm=sc&query=%CE%D2%B8%BD%BD%FC%B5%C4%B2%CD%CC%FC&qid=ab930d34001180f3&p1=3",
              "breadcrumb": "百度经验",
              "is_image": true,
              "is_video": false,
              "is_featured_snippet": false,
              "is_malicious": false,
              "is_web_story": false,
              "description": "2019年1月14日  微信如何使用 附近的餐厅 功能,微信的新版本更新了 附近的餐厅 功能,那么如何使用呢?下面小编给大家分享一下。",
              "pre_snippet": null,
              "extended_snippet": null,
              "amp_version": false,
              "rating": null,
              "highlighted": [
                "附近的餐厅"
              ],
              "links": null,
              "faq": null,
              "extended_people_also_search": null,
              "timestamp": null,
              "rectangle": null
            },
            {
              "type": "paid",
              "rank_group": 1,
              "rank_absolute": 5,
              "page": 1,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[7]/div[3]/div[10]/div[1]/div[2]/div[1]/div[1]/div[3]/div[1]/ol[1]/li[1]",
              "title": "Cheap Flights to Kharkov | Book Now & Save on CheapOair®‎",
              "domain": "www.cheapoair.com",
              "description": "Our Low Cost Flights Deals to Kharkov. Book Your Flights Today! Award Winning Service. Last Minute Travel. We Make it Easy to Travel. Enjoy Huge Discounts. Book 600+ Airlines.",
              "breadcrumb": "www.cheapoair.com/Flights/to_Kharkov",
              "url": "https://www.cheapoair.com/flights/booknow/cheap-flight-tickets",
              "highlighted": [
                "Flights",
                "Kharkov"
              ],
              "extra": {
                "ad_aclk": "DChcSEwiUvq3SrdrlAhWLg5EKHWsCD-0YABAAGgJjZQ"
              },
              "description_rows": null,
              "links": [
                {
                  "type": "ad_link_element",
                  "title": "Flights $99 and Under",
                  "url": "https://www.cheapoair.com/flights/booknow/flights-under-99",
                  "description": "Grab Flight Deals Under $99 Today!Book Tickets Now on CheapOair®.",
                  "ad_aclk": "DChcSEwiUvq3SrdrlAhWLg5EKHWsCD-0YABABGgJjZQ"
                },
                {
                  "type": "ad_link_element",
                  "title": "Top 25 Flight Deals",
                  "url": "https://www.cheapoair.com/flights/booknow/top-deals",
                  "description": "Get Our Best Deal on Top Cities.100% Safe Shopping Guarantee!",
                  "ad_aclk": "DChcSEwiUvq3SrdrlAhWLg5EKHWsCD-0YABACGgJjZQ"
                }
              ],
              "rectangle": {
                "x": 181,
                "y": 360,
                "width": 652,
                "height": 176
              }
            },
            {
              "type": "images",
              "rank_group": 1,
              "rank_absolute": 6,
              "page": 1,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[1]/div[3]/div[1]/div[3]/div[4]",
              "title": "elon musk - 百度图片",
              "url": "http://www.baidu.com/link?url=Gbsa0usfIL0t-1iqFS1qwhAHjmLrkuZnq1j-6CFqsNNWcbu-kIRMfvPSpu1b_e9JamDuZ1qT5ZCMqV2Aq-RgMpsJp9R-1lCxzsflee7DcEq0iNEabyRSSAGQ5eADDJ3zg_apiH7uqbil53IHfR67eY0O-yD4fgDbrLU6vily9Rcv4CAznrSZQaRTgXjbAyAd",
              "items": [
                {
                  "type": "images_element",
                  "alt": null,
                  "url": "http://ec4.images-amazon.com/images/I/91CyhdaumeL._SL1500_.jpg",
                  "image_url": "http://img2.imgtn.bdimg.com/it/u=2842883725,3225913889&fm=26&gp=0.jpg"
                },
                {
                  "type": "images_element",
                  "alt": null,
                  "url": "http://n.sinaimg.cn/front20200531ac/586/w1919h1067/20200531/96ac-iufmpmp5762638.jpg",
                  "image_url": "http://img4.imgtn.bdimg.com/it/u=3827325139,2530599985&fm=26&gp=0.jpg"
                },
                {
                  "type": "images_element",
                  "alt": null,
                  "url": "http://wx4.sinaimg.cn/large/8faf439aly1goi5p2rmtnj20yi13o7so.jpg",
                  "image_url": "http://img4.imgtn.bdimg.com/it/u=2937335315,2273849427&fm=11&gp=0.jpg"
                },
                {
                  "type": "images_element",
                  "alt": null,
                  "url": "http://i2-prod.irishmirror.ie/incoming/article12498814.ece/ALTERNATES/s615b/Tesla-Billionaire-Elon-Musk-and-Singer-Grimes-Spotted-heading-to-the-Met-Gala-Together.jpg",
                  "image_url": "http://img5.imgtn.bdimg.com/it/u=2684430021,2931759282&fm=26&gp=0.jpg"
                },
                {
                  "type": "images_element",
                  "alt": null,
                  "url": "http://03imgmini.eastday.com/mobile/20200429/20200429192315_13492fa66a91db214a7f72e78f35ddd4_1.jpeg",
                  "image_url": "http://img3.imgtn.bdimg.com/it/u=967961314,4105938903&fm=26&gp=0.jpg"
                }
              ],
              "rectangle": null
            },
            {
              "type": "video",
              "rank_group": 1,
              "rank_absolute": 7,
              "page": 1,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[1]/div[3]/div[1]/div[3]/div[11]",
              "items": [
                {
                  "type": "video_element",
                  "source": "好看视频",
                  "title": "Elon Musk讲解:什么是“第一性原理...",
                  "timestamp": null,
                  "url": "https://baijiahao.baidu.com/s?id=1683903363049795446&wfr=content"
                },
                {
                  "type": "video_element",
                  "source": "好看视频",
                  "title": "Elon Musk 给 22岁的建议",
                  "timestamp": null,
                  "url": "https://baijiahao.baidu.com/s?id=1659163044141632523&wfr=content"
                },
                {
                  "type": "video_element",
                  "source": "好看视频",
                  "title": "Elon Musk(埃隆马斯克)TED演讲(中...",
                  "timestamp": null,
                  "url": "https://baijiahao.baidu.com/s?id=1669452452203697592&wfr=content"
                },
                {
                  "type": "video_element",
                  "source": "好看视频",
                  "title": "Elon Musk",
                  "timestamp": null,
                  "url": "https://baijiahao.baidu.com/s?id=1667832289627175634&wfr=content"
                },
                {
                  "type": "video_element",
                  "source": "好看视频",
                  "title": "Elon Musk访谈:通过第一性原理来思...",
                  "timestamp": null,
                  "url": "https://baijiahao.baidu.com/s?id=1622072064256047726&wfr=content"
                },
                {
                  "type": "video_element",
                  "source": "B站",
                  "title": "伊隆马斯克是如何利用时间的 How E...",
                  "timestamp": null,
                  "url": "https://www.bilibili.com/video/BV1r54y197MV"
                }
              ],
              "rectangle": null
            },
            {
              "type": "related_searches",
              "rank_group": 1,
              "rank_absolute": 8,
              "page": 1,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[1]/div[3]/div[1]/div[5]/div[1]/table[1]",
              "items": [
                "埃隆·马斯克",
                "elon musk 女友",
                "elon musk身高",
                "elon musk母亲",
                "elon musk妻子",
                "musk五个孩子",
                "埃隆·马斯克的传奇人生",
                "马斯克grimes分手",
                "elonmusk微博"
              ],
              "rectangle": null
            },
            {
              "type": "stocks_box",
              "rank_group": 1,
              "rank_absolute": 3,
              "page": 1,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[1]/div[3]/div[1]/div[3]/div[3]",
              "title": "珠海中富[000659]沪深实时行情 - 东方财富",
              "source": null,
              "snippet": "总市值 52.84亿",
              "price": "4.11",
              "url": "http://www.baidu.com/link?url=1O-_n3kzvj_C9-lVTAj5k5XBuQ5grE35KlBtlf5YpVJM1an1r4mree9tk6lF8z5KOwO5sxNL-CrqoNRiqRNL4bDQnO0hAZdzjXY2q3CclOm",
              "domain": "www.baidu.com",
              "rectangle": null,
              "table": null,
              "graph": null
            },
            {
              "type": "dictionary",
              "rank_group": 1,
              "rank_absolute": 1,
              "page": 1,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[3]/div[2]/div[2]/div[1]",
              "title": "cloud storage - 百度翻译",
              "url": "http://m.baidu.com/from=844b/bd_page_type=1/ssid=0/uid=0/pu=usm%403%2Csz%40320_1001%2Cta%40iphone_2_6.0_24_88.0/baiduid=DDA3B9D55E8E99D1F7BD829C0408850C/w=0_10_/t=iphone/l=1/tc?ref=www_iphone&lid=7624319330185834358&order=1&fm=alop&isAtom=1&clk_info=%7B%22tplname%22%3A%22fy_sg_dictwisenew%22%2C%22srcid%22%3A%2285%22%7D&is_baidu=0&tj=Xp_1_0_10_l1&wd=&eqid=69cf060911deef76100000066076ec61&w_qd=IlPT2AEptyoA_yi7IEysH7EbqwnJMqKn&bdver=2&tcplug=1&dict=-1&sec=11557&di=f25f11cd731a4446&bdenc=1&nsrc=FwhnoTFld0O26rtSxB7ViZjnB0drSEi6pg4HL%2FQVdJfK8P%2BSFBk8KRqKkHsSI7qv3tIEGZbp7UP%2BdLC6jUpujPxxYPiGZaFxjRVBBGH8%2BRwEmeuRAiqPEHQmW3WVzIiE",
              "domain": "m.baidu.com",
              "breadcrumb": null,
              "keyword": "云存储常见释义",
              "snippet": "网络 云端存储; 云存储; 云端储存; 云储存;",
              "text": "英[klaʊd ˈstɔːrɪdʒ] 美[klaʊd ˈstɔːrɪdʒ]",
              "links": null,
              "rectangle": null
            }
          ]
        }
      ]
    }
  ]
}
```









 

  cURL   php   Node.js   Python   cSharp